Name: pam_mktemp
Version: 1.0.1
Release: alt1

Summary: Pluggable private /tmp space support for interactive (shell) sessions
License: LGPL
Group: System/Base
Url: http://www.openwall.com/pam/

Source: ftp://ftp.openwall.com/pub/projects/pam/modules/%name/%name-%version.tar.bz2
Patch: %name-1.0.1-alt-makefile.patch

# Automatically added by buildreq on Tue Oct 07 2003
BuildRequires: libpam-devel

%set_pam_name %name

%package -n %pam_name
Summary: Pluggable private /tmp space support for interactive (shell) sessions
License: LGPL
Group: System/Base
Requires(post): coreutils
Provides: %name = %version-%release
Obsoletes: %name

%description
pam_mktemp is a PAM module which may be used with a PAM-aware login service
to provide per-user private directories under /tmp as a part of PAM session
or account management.

%description -n %pam_name
pam_mktemp is a PAM module which may be used with a PAM-aware login service
to provide per-user private directories under /tmp as a part of PAM session
or account management.

%prep
%setup -q
%patch -p1

%build
%add_optflags %optflags_shared
%make_build CFLAGS="$RPM_OPT_FLAGS -Werror" LDFLAGS="--shared -lpam"

%install
%make_install install \
	DESTDIR=$RPM_BUILD_ROOT SECUREDIR=/%_lib/security
%__mkdir -p -m711 $RPM_BUILD_ROOT/tmp/.private
%add_findprov_lib_path /%_lib/security

%post -n %pam_name
%__mkdir -p -m711 /tmp/.private

%triggerin -n %pam_name -- e2fsprogs
if [ -d /tmp/.private -a -O /tmp/.private ]; then
	chattr +a /tmp/.private 2>/dev/null ||:
fi

%files -n %pam_name
/%_lib/security/*
%ghost %attr(711,root,root) /tmp/.private
%doc LICENSE README

%changelog
* Thu Aug 11 2005 Dmitry V. Levin <ldv@altlinux.org> 1.0.1-alt1
- Updated to 1.0.1.

* Wed Aug 10 2005 Dmitry V. Levin <ldv@altlinux.org> 1.0-alt3
- Restricted list of global symbols exported by the pam module.
- Changed pam module file permissions to make it world readable.
- Added support of filesystem drivers which fail with ENOSYS
  error code in responce to EXT2_IOC_GETFLAGS ioctl request
  (fixes #7520).

* Tue May 31 2005 Dmitry V. Levin <ldv@altlinux.org> 1.0-alt2
- Corrected package dependencies (#6972).

* Tue Apr 19 2005 Dmitry V. Levin <ldv@altlinux.org> 1.0-alt1
- Updated to 1.0.

* Thu Feb 10 2005 Dmitry V. Levin <ldv@altlinux.org> 0.2.5-alt2
- Fixed multilib.

* Sat Jan 03 2004 Dmitry V. Levin <ldv@altlinux.org> 0.2.5-alt1
- Updated to 0.2.5.
- Deal with compilation warnings generated by new gcc compiler.

* Tue Oct 07 2003 Dmitry V. Levin <ldv@altlinux.org> 0.2.4.1-alt1
- Updated to 0.2.4.1.

* Mon Jun 09 2003 Dmitry V. Levin <ldv@altlinux.org> 0.2.4-alt2
- Added Linux-PAM/OpenPAM multi-build support.

* Thu Oct 10 2002 Dmitry V. Levin <ldv@altlinux.org> 0.2.4-alt1
- Updated to 0.2.4

* Tue Nov 13 2001 Dmitry V. Levin <ldv@alt-linux.org> 0.1-alt2
- Added Url (thanks to Solar for the hint).

* Mon Nov 12 2001 Dmitry V. Levin <ldv@alt-linux.org> 0.1-alt1
- ALT adaptions.

* Fri Nov 09 2001 Solar Designer <solar@owl.openwall.com>
- Support stacking for account management as well as for session setup.
- No longer set LYNX_TEMP_SPACE.

* Tue Dec 19 2000 Solar Designer <solar@owl.openwall.com>
- Initial version.
